UnresolvedPathException (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: UnresolvedPathException

Package org.apache.hadoop.hdfs.protocol

# Class UnresolvedPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.UnresolvedLinkException
org.apache.hadoop.hdfs.protocol.UnresolvedPathException

All Implemented Interfaces:
  `Serializable`

@Private @Evolving public final class UnresolvedPathException extends org.apache.hadoop.fs.UnresolvedLinkException
Thrown when a symbolic link is encountered in a path.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnresolvedPathException(String msg)`
  Used by RemoteException to instantiate an UnresolvedPathException.
  `UnresolvedPathException(String path, String preceding, String remainder, String linkTarget)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `org.apache.hadoop.fs.Path`
  `getResolvedPath()`
  Return a path with the link resolved with the target.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnresolvedPathException

    public UnresolvedPathException(String msg)
    Used by RemoteException to instantiate an UnresolvedPathException.

  - ### UnresolvedPathException

    public UnresolvedPathException(String path, String preceding, String remainder, String linkTarget)

- ## Method Details

  - ### getResolvedPath

    public org.apache.hadoop.fs.Path getResolvedPath()
    Return a path with the link resolved with the target.

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`